package org.gcube.dataanalysis.dataminerpoolmanager;

***REMOVED***

***REMOVED***
***REMOVED***
import org.gcube.dataanalysis.dataminer.poolmanager.util.SVNUpdater;
***REMOVED***

/**
 * Created by ggiammat on 5/17/17.
 */
public class SVNTests ***REMOVED***
	
	

  public static void main(String[] args) throws SVNException, IOException, InterruptedException ***REMOVED***


    SVNUpdater svnUpdater = new SVNUpdater();
    
    Algorithm algo = AlgorithmBuilder.create("http:***REMOVED***data.d4science.org/YjJ3TmJab1dqYzVoTmppdjlsK0l0b1ZXWGtzWlQ1NHNHbWJQNStIS0N6Yz0");
    ***REMOVED***algo.setClazz(algo.getClazz() + "TEST");
    algo.setAlgorithmType("transducerers");
    algo.setCategory("NLP");
    algo.setFullname("Ondřej Košarko");
    ***REMOVED***System.out.println(algo.getCategory());
    ***REMOVED***System.out.println(algo.getSkipJava());
    
	svnUpdater.updateSVNAlgorithmList("/trunk/data-analysis/DataMinerConfiguration/algorithms/dev/algorithms", algo, "/gcube/devNext/NextNext", algo.getCategory(), algo.getAlgorithmType(), "");

    ***REMOVED***svnUpdater.updateSVNRProtoAlgorithmList(algo, "/d4science.research-infrastructures.eu/gCubeApps/RPrototypingLab", "Dataminer Pool Manager", "Proto");
    ***REMOVED***svnUpdater.readRPRotoDeps(algo);
  ***REMOVED***
***REMOVED***
